Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.debug
Class StepDebugMeta

    java.lang.Object
      org.pentaho.di.trans.debug.StepDebugMeta

    public class StepDebugMeta

extends Object

This class is used to define debugging meta data for a certain step. Basically it defines for which condition a break-point becomes active.

Author:
  Matt

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`StepDebugMeta()`
`StepDebugMeta(StepMeta stepMeta)`

Method Summary
`void` | `addBreakPointListener(BreakPointListener breakPointListener)` Add a break-point listener to the debug information.
`void` | `fireBreakPointListeners(TransDebugMeta transDebugMeta)`
`Condition` | `getCondition()`
`int` | `getNumberOfHits()`
`List<Object[]>` | `getRowBuffer()`
`org.pentaho.di.core.row.RowMetaInterface` | `getRowBufferMeta()`
`int` | `getRowCount()`
`StepMeta` | `getStepMeta()`
`boolean` | `isPausingOnBreakPoint()`
`boolean` | `isReadingFirstRows()`
`void` | `removeBreakPointListener(BreakPointListener breakPointListener)` Remove a break-point listener from the debug information.
`void` | `setCondition(Condition condition)`
`void` | `setNumberOfHits(int numberOfHits)`
`void` | `setPausingOnBreakPoint(boolean pausingOnBreakPoint)`
`void` | `setReadingFirstRows(boolean readingFirstRows)`
`void` | `setRowBuffer(List<Object[]> rowBuffer)`
`void` | `setRowBufferMeta(org.pentaho.di.core.row.RowMetaInterface rowBufferMeta)`
`void` | `setRowCount(int rowCount)`
`void` | `setStepMeta(StepMeta stepMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### StepDebugMeta

    public StepDebugMeta()

### StepDebugMeta

    public StepDebugMeta(StepMeta stepMeta)

Method Detail

### getStepMeta

    public StepMeta getStepMeta()

  Returns:
    the stepMeta

### setStepMeta

    public void setStepMeta(StepMeta stepMeta)

  Parameters:
    `stepMeta` - the stepMeta to set

### getCondition

    public Condition getCondition()

  Returns:
    the condition

### setCondition

    public void setCondition(Condition condition)

  Parameters:
    `condition` - the condition to set

### addBreakPointListener

    public void addBreakPointListener(BreakPointListener breakPointListener)

  Add a break-point listener to the debug information. The listener will be called whenever a condition is hit

  Parameters:
    `breakPointListener` - the break point listener to add

### removeBreakPointListener

    public void removeBreakPointListener(BreakPointListener breakPointListener)

  Remove a break-point listener from the debug information.

  Parameters:
    `breakPointListener` - the break point listener to remove

### fireBreakPointListeners

    public void fireBreakPointListeners(TransDebugMeta transDebugMeta)

### getRowCount

    public int getRowCount()

  Returns:
    the rowCount

### setRowCount

    public void setRowCount(int rowCount)

  Parameters:
    `rowCount` - the rowCount to set

### isReadingFirstRows

    public boolean isReadingFirstRows()

  Returns:
    the readingFirstRows

### setReadingFirstRows

    public void setReadingFirstRows(boolean readingFirstRows)

  Parameters:
    `readingFirstRows` - the readingFirstRows to set

### isPausingOnBreakPoint

    public boolean isPausingOnBreakPoint()

  Returns:
    the pausingOnBreakPoint

### setPausingOnBreakPoint

    public void setPausingOnBreakPoint(boolean pausingOnBreakPoint)

  Parameters:
    `pausingOnBreakPoint` - the pausingOnBreakPoint to set

### getRowBufferMeta

    public org.pentaho.di.core.row.RowMetaInterface getRowBufferMeta()

  Returns:
    the rowBufferMeta

### setRowBufferMeta

    public void setRowBufferMeta(org.pentaho.di.core.row.RowMetaInterface rowBufferMeta)

  Parameters:
    `rowBufferMeta` - the rowBufferMeta to set

### getRowBuffer

    public List<Object[]> getRowBuffer()

  Returns:
    the rowBuffer

### setRowBuffer

    public void setRowBuffer(List<Object[]> rowBuffer)

  Parameters:
    `rowBuffer` - the rowBuffer to set

### getNumberOfHits

    public int getNumberOfHits()

  Returns:
    the number of times the break-point listeners got called

### setNumberOfHits

    public void setNumberOfHits(int numberOfHits)

  Parameters:
    `numberOfHits` - the number of times the break-point listeners got called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD